Subject: [PATCH RFC] ARM: tango4: Fix build issues

From: [email-masked] (Mason)
Date: Fri, 1 Jan 2016 11:52:12 +0100

On 31/12/2015 17:31, Olof Johansson wrote:
> On Thu, Dec 31, 2015 at 2:21 PM, Olof Johansson <[email-masked]> wrote:
>> On Fri, Dec 25, 2015 at 10:49:56PM +0100, Mason wrote:
>>> From: Marc Gonzalez <[email-masked]>
>>>
>>> Move SMP setup to platsmp.c
>>> Specify the CPU type to the assembler, and only for smc.S
>>>
>>> Signed-off-by: Marc Gonzalez <[email-masked]>
>>> ---
>>
>> Applied, thanks.
> 
> Actually, I just noticed that the smc.c Makefile part isn't done as it
> should, so I'll drop this again.

<grumble>

This is probably a bike-shed issue that I should let slide...

But can someone explain to me: in what circumstances

plus_sec := $(call as-instr,.arch_extension sec,+sec)
AFLAGS_smc.o :=-Wa,-march=armv7-a$(plus_sec)

is preferable over

AFLAGS_smc.o := -Wa,-mcpu=cortex-a9

in a machine-specific Makefile?

Arnd mentioned consistency with other machines; ISTM that
simplicity and obviousness are also desirable characteristics.

Regards.